> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addSupplementalPayrollLineItem

> # addSupplementalPayrollLineItem

The `addSupplementalPayrollLineItem` API adds supplemental pay for an employee within a company.

### What it does:

- Adds specific payment amounts to employees outside of regular payroll processing
- Allows one time additions for non-regular pay such as bonuses, rebates, corrections etc.

### Notes:

- Requires a **payPeriodId** for a supplemental or regular pay period
- Used for processing payments outside of regular pay schedules like bonuses or corrections



## OpenAPI

````yaml post /payroll/addSupplementalPayrollLineItem
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/addSupplementalPayrollLineItem:
    post:
      tags: []
      summary: addSupplementalPayrollLineItem
      description: >-
        # addSupplementalPayrollLineItem


        The `addSupplementalPayrollLineItem` API adds supplemental pay for an
        employee within a company.


        ### What it does:


        - Adds specific payment amounts to employees outside of regular payroll
        processing

        - Allows one time additions for non-regular pay such as bonuses,
        rebates, corrections etc.


        ### Notes:


        - Requires a **payPeriodId** for a supplemental or regular pay period

        - Used for processing payments outside of regular pay schedules like
        bonuses or corrections
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addSupplementalPayrollLineItem
                  example: addSupplementalPayrollLineItem
                payrollLineItem:
                  type: object
                  properties:
                    payPeriodId:
                      type: string
                      format: uuid
                    companyId:
                      type: string
                    userId:
                      type: string
                      format: uuid
                    amount:
                      type: number
                  required:
                    - payPeriodId
                    - userId
                    - amount
                    - companyId
              required:
                - method
                - payrollLineItem
            example:
              method: addSupplementalPayrollLineItem
              payrollLineItem:
                payPeriodId: 00b8b220-f329-4554-bd7b-d0ef53fc0542
                companyId: 8D728FCE-2993-42E0-8797-832C930506E1
                userId: 30da3ca7-8b39-4a3c-8ab9-050f17fbcb3b
                amount: 10
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollLineItem:
                    type: object
                    properties:
                      employeeId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - employeeId
                      - status
                required:
                  - payrollLineItem
              examples:
                '1':
                  summary: Success
                  value:
                    payrollLineItem:
                      employeeId: 30da3ca7-8b39-4a3c-8ab9-050f17fbcb3b
                      status: Ready
                      message: >-
                        The PayrollLineItem for Nelson John has been saved
                        successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: EmployeeId is mandatory and cannot be empty.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````